kernel too neuf

J’ai fais le choix d’utiliser une ubuntu 8.04 LTS, ce qui permet d’avoir un ordinateur à jours au niveau de la sécurité et .. en fait non, c’est pas un choix, c’est la flemme, mais ça n’empêche pas d’avoir un système bien fonctionnel et qui bénéficie des mise à jours tout ça. Sauf qu’à la longue il y a une liste impressionnante de versions s’affiche dans le grub au démarrage.

Pour ceux qui veulent avoir une liste plus courte dans le grub histoire de choisir un autre OS au démarrage plus facilement (ou si on veut gratter quelques octets), la solution est simple. Il suffit d’effacer les kernels en trop.

Attention, avant de continuer lisez la phrase suivante à haute voix :
Effacer un kernel est une manipulation qui peut mettre en danger l’intégrité de mon système.

Si vous n’avez rien compris à cette phrase, pas la peine de continuer avant de pouvoir citer par coeur tout un paragraphe de la page concernant le mot kernel sur la documentation ubuntu-fr. Si vous avez tout bien saisi, voici la marche à suivre.

Vérifier la version de kernel que l’on utilise via le menu : Système > Administration > Moniteur système. Puis rendez vous dans l’onglet « système » et recopiez la version de noyau (kernel) utilisé. Pour moi c’est 2.6.24-22-generic, mais cela ne vous regarde pas.

Démarrer synaptic : Système > Administration > Gestionnaire de paquets Synaptic puis cliquer sur sur « Catégories » et « Système de base » pour traquer plus facilement les paquets commençant par linux-image.

Sélectionner les paquets qui sont en trop, pour moi c’est linux-image-2.6.24-16-generic 2.6.24-16.30. Attention, ici il ne faut pas sélectionner le kernel que l’on utilise ni la version inférieure, elle peut être utile en cas de grand n’importe quoi.

synaptic_selection_01

Deux modules sont automatiquement ajoutés à la liste, ce sont les paquets linux-restricted-modules-2.6.24-16-generic et linux-ubuntu-modules-2.6.24-16-generic.

synaptic_ajout_01

Recommencez autant de fois qu’il y a de kernels en trop avant de cliquer sur appliquer.

synaptic_validation_01

Une fenêtre s’ouvre et vous demande de bien vérifier ce que vous avez sélectionné, sait on jamais. Maintenant, vous êtes soit débarrassé des paquets en trop, soit vous avez cassé votre système. Et là c’est bien fait pour vous, quand le mot de passe administrateur est demandé, il ne faut pas valider vite fait sans lire la petite phrase d’avertissement.

Sources : ubuntu 8.04 LTS | GRand Unified Bootloader | système d’exploitation | framasoft | documentation ubuntu-fr

, , , ,

No comments yet.

Laisser un commentaire